Bug 1126282 - No sound due to stale xprop -root PULSE_*
Summary: No sound due to stale xprop -root PULSE_*
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 05:18 UTC by Edward J. Huff
Modified: 2015-06-29 21:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:55:51 UTC


Attachments (Terms of Use)
patch for /usr/bin/start-pulseaudio-x11 (762 bytes, text/plain)
2014-08-04 05:18 UTC, Edward J. Huff
no flags Details
yum.log of update which caused the problem (7.97 KB, text/plain)
2014-08-13 06:05 UTC, Edward J. Huff
no flags Details

Description Edward J. Huff 2014-08-04 05:18:29 UTC
Created attachment 923765 [details]
patch for /usr/bin/start-pulseaudio-x11

Description of problem:

/usr/bin/pulseaudio running as user looks in X server root properties for PULSE_* properties.  These values are stale:  they point to the gdm pulseaudio server which has exited.


Version-Release number of selected component (if applicable): f20 gnome


How reproducible: always


Steps to Reproduce:
1. log in on gnome
2. look at top right menu
3. the volume control has no icon, and sound control panel has no devices

Actual results:
sound doesn't work, no devices in sound control panel.
(flash firefox plugin bypasses pulseaudio and hence works).

Expected results:
sound should work

Additional info:
patch for /usr/bin/start-pulseaudio-x11 is attached.

Comment 1 Rex Dieter 2014-08-04 14:18:03 UTC
From your description, you make it sound like this will *always* fail, but I cannot reproduce what you describe.  So, I'm unsure if this is the appropriate or best approach.

Mind posting this to pulseaudio upstream ml or bugzilla for feedback?

Comment 2 Edward J. Huff 2014-08-13 06:03:35 UTC
Well, it was working before the updates listed in attachment.

Comment 3 Edward J. Huff 2014-08-13 06:05:06 UTC
Created attachment 926271 [details]
yum.log of update which caused the problem

Comment 4 Edward J. Huff 2014-08-13 06:15:57 UTC
All pulseaudio updates listed in /var/log/yum.log*:

May 10 00:24:42 Updated: pulseaudio-libs-4.0-13.gitf81e3.fc20.x86_64
May 10 00:24:51 Updated: pulseaudio-libs-glib2-4.0-13.gitf81e3.fc20.x86_64
May 10 00:25:42 Updated: pulseaudio-utils-4.0-13.gitf81e3.fc20.x86_64
May 10 01:02:14 Updated: pulseaudio-4.0-13.gitf81e3.fc20.x86_64
May 10 01:02:18 Updated: pulseaudio-module-bluetooth-4.0-13.gitf81e3.fc20.x86_64
May 10 01:02:25 Updated: pulseaudio-gdm-hooks-4.0-13.gitf81e3.fc20.x86_64
May 10 01:07:54 Updated: alsa-plugins-pulseaudio-1.0.27-2.fc20.x86_64
May 10 01:07:55 Updated: pulseaudio-module-x11-4.0-13.gitf81e3.fc20.x86_64


Aug 02 19:05:20 Updated: pulseaudio-libs-5.0-7.fc20.x86_64
Aug 02 19:05:49 Updated: pulseaudio-libs-glib2-5.0-7.fc20.x86_64
Aug 02 19:06:24 Updated: pulseaudio-5.0-7.fc20.x86_64
Aug 02 19:08:34 Updated: pulseaudio-utils-5.0-7.fc20.x86_64
Aug 02 19:12:44 Updated: pulseaudio-module-x11-5.0-7.fc20.x86_64
Aug 02 19:13:45 Updated: pulseaudio-module-bluetooth-5.0-7.fc20.x86_64
Aug 02 19:14:32 Updated: pulseaudio-gdm-hooks-5.0-7.fc20.x86_64
Aug 02 20:46:43 Installed: pulseaudio-debuginfo-5.0-7.fc20.x86_64

Comment 5 Edward J. Huff 2014-08-13 10:04:40 UTC
I am investigating further.  I looked at ulseaudio-4.0-266-gf81e3.tar.xz and pulseaudio-5.0.tar.xz without seeing anything suspicious.  (Also looked at the spec files.  (There isn't any 4.0-13 revision in the git tree).

So I will look at the changes to gnome-shell and elsewhere.
gnome-shell-3.10.4-7.fc20.x86_64
gnome-shell-3.10.4-5.fc20.x86_64

nothing there either.

Is gnome supposed to use a single real-time pulseaudio daemon?  I notice that the one belonging to user gnome runs at real time, while the ordinary user's daemon runs with just elevated nice priority.

Which pulseaudio daemon is in use when you login to gnome?

Comment 6 Fedora End Of Life 2015-05-29 12:33:24 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-29 21:55:51 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.